/*********************************************************************
 * Job Ticket API (JTAPI)                                            
 *                                                                   
 * Copyright (c) 2003 International Business Machines Corp.
 * Copyright (c) 2003 Free Standards Group.          
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON 
 * PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION 
 * OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * fsgjt_cpl.h and applies to the contents of this file. 
 *********************************************************************/

#ifndef FSGJT_STITCHING_H
#define FSGJT_STITCHING_H

#include <fsgjt.h>
#include <fsgjt_enums.h>

/* Defined constant to uniquely identify this type of JTAPI object */
#define FSGJT_STITCHING_OBJECT_TYPE     "FSGJT_STITCHING"

/************************************************************
 * Stitching attributes
 ***********************************************************/
#define FSGJT_STITCHING_TYPE            "stitching-type"

/************************************************************
 * fsgjtNewStitching - Creates a Stitching object having the 
 * provided stitch type.
 *
 * param fsgjt_object_t* stitching - Pointer to the new 
 *      Stitching object to create
 * param fsgjt_stitch_type_t stitchType - Position where the 
 *      stitching is to occur
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewStitching(
               fsgjt_object_t* stitching,
               fsgjt_stitch_type_t stitchType);

#endif /* FSGJT_STITCHING_H */
